complexType "FxDigitalAmericanExercise"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | commencementDate, expiryDate, expiryTime?, cutName?, latestValueDate
</...>

Content Model Elements (5):

  commencementDate (defined in FxDigitalAmericanExercise complexType),
  cutName (defined in FxDigitalAmericanExercise complexType),
  expiryDate (defined in FxDigitalAmericanExercise complexType),
  expiryTime (defined in FxDigitalAmericanExercise complexType),
  latestValueDate

Known Direct Subtypes (1):

  FxAmericanExercise

All Direct / Indirect Based Elements (2):

  americanExercise (in fxDigitalOption), | americanExercise (in fxOption)

Known Usage Locations

- In derivations of other global types (1):
  FxAmericanExercise (as extension base)
- As direct type of elements (1):
  americanExercise (in fxDigitalOption)

Annotation
Descrines the characteristics for American exercise in FX digital options.
Type Definition Detail

Type Derivation Tree Exercise (extension) FxDigitalAmericanExercise

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="FxDigitalAmericanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:element name="commencementDate" type="AdjustableOrRelativeDate"/> <xsd:element name="expiryDate" type="xsd:date"/> <xsd:element minOccurs="0" name="expiryTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="cutName" type="CutName"/> <xsd:element name="latestValueDate" type="xsd:date"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
commencementDate

  Type: | AdjustableOrRelativeDate, complex content

  The earliest date on which the option can be exercised.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="commencementDate" type="AdjustableOrRelativeDate"/>

cutName

  Type: | CutName, simple content

  The code by which the expiry time is known in the market.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cutName" type="CutName"/>

expiryDate

  Type: | xsd:date, predefined, simple content

  The latest date on which the option can be exercised.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="expiryDate" type="xsd:date"/>

expiryTime

  Type: | BusinessCenterTime, complex content

  Time at which the option expires on the expiry date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expiryTime" type="BusinessCenterTime"/>

latestValueDate

  Type: | xsd:date, predefined, simple content

  The latest date on which both currencies traded will settle.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="latestValueDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.